In this folder you can find 4 scripts that can be used to transfrom 24/7 .csv accelerometer data to intensity plots. The methods are based on the Rowland et al. 2018 article 'Beyond Cut Points: Accelerometer Metrics that Capture the Physical Activity Profile. 

The scripts should be run in the following order:

1. DailyCutter.py   -   This script is used to transform single week .csv files (input) into individual day-files (output)
                        The WeekPath should be set to the folder containing the week-files of the patient 
                        The ScriptPath should be set to the folder containing the 'formules.py' script. This script holds
                        all functions used in the analysis.

2. plotter.py       -   This is the second script used in the analysis and is the script that performs the most. 
                        Before getting started, the os.chdir() should be set to the 'formules.py' pathway
                        The rootdir should be set to the folder containing 7 individual .csv day-files
                        The PtName variable should be set accordingly to the name of the files used. This possibly changes 
                        between different weeks/different patients.
                        Finally, the CheckWeel.to_csv() should be filled with the used weeknumber, to save the 
                        parameters of the trendline for each different week.
                        After changing these variables to your liking, the script should run automatically, using the 
                        folder with individual days as input and saving the plots for individual days as well as an 
                        overview of the entire week as output.

3. Totalplotter.py  -   After running the plotter.py script you should have ended up with 6 .csv files with parameters 
                        of the trendlines. Make sure that these files are saved within the same folder and set the path
                        of this folder as the rootdir in this script.
                        Change the names in the plt.title() and plt.savefig() commands accordingly and run the scripts
                        The output will be a plot of all 6 weeks in one figure.


